--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


--
-- Name: btree_gist; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS btree_gist WITH SCHEMA public;


--
-- Name: EXTENSION btree_gist; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION btree_gist IS 'support for indexing common datatypes in GiST';


SET search_path = public, pg_catalog;

--
-- Name: qcregiontype; Type: TYPE; Schema: public; Owner: gideon
--

CREATE TYPE qcregiontype AS ENUM (
    'include',
    'exclude'
);


ALTER TYPE qcregiontype OWNER TO gideon;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: qcregions; Type: TABLE; Schema: public; Owner: gideon; Tablespace: 
--

CREATE TABLE qcregions (
    chr integer,
    region int4range,
    type qcregiontype
);


ALTER TABLE qcregions OWNER TO gideon;

--
-- Name: vcf; Type: TABLE; Schema: public; Owner: gideon; Tablespace: 
--

CREATE TABLE vcf (
    id bigint NOT NULL,
    chr smallint,
    pos integer,
    qual integer,
    ac integer,
    an real,
    ns integer,
    dp integer,
    af real,
    eas_af real,
    amr_af real,
    afr_af real,
    eur_af real,
    sas_af real,
    aa text,
    imprecise boolean
);


ALTER TABLE vcf OWNER TO gideon;

--
-- Name: vcf_id_seq; Type: SEQUENCE; Schema: public; Owner: gideon
--

CREATE SEQUENCE vcf_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE vcf_id_seq OWNER TO gideon;

--
-- Name: vcf_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: gideon
--

ALTER SEQUENCE vcf_id_seq OWNED BY vcf.id;


--
-- Name: id; Type: DEFAULT; Schema: public; Owner: gideon
--

ALTER TABLE ONLY vcf ALTER COLUMN id SET DEFAULT nextval('vcf_id_seq'::regclass);


--
-- Name: vcf_pkey; Type: CONSTRAINT; Schema: public; Owner: gideon; Tablespace: 
--

ALTER TABLE ONLY vcf
    ADD CONSTRAINT vcf_pkey PRIMARY KEY (id);


--
-- Name: qcregions_chr_index; Type: INDEX; Schema: public; Owner: gideon; Tablespace: 
--

CREATE INDEX qcregions_chr_index ON qcregions USING btree (chr);


--
-- Name: qcregions_chrregion_index; Type: INDEX; Schema: public; Owner: gideon; Tablespace: 
--

CREATE INDEX qcregions_chrregion_index ON qcregions USING gist (chr, region) WHERE (type = 'include'::qcregiontype);


--
-- Name: qcregions_region_index; Type: INDEX; Schema: public; Owner: gideon; Tablespace: 
--

CREATE INDEX qcregions_region_index ON qcregions USING gist (region);


--
-- Name: qcregions_type_partial_include; Type: INDEX; Schema: public; Owner: gideon; Tablespace: 
--

CREATE INDEX qcregions_type_partial_include ON qcregions USING btree (type) WHERE (type = 'include'::qcregiontype);


--
-- Name: vcf_chr_index; Type: INDEX; Schema: public; Owner: gideon; Tablespace: 
--

CREATE INDEX vcf_chr_index ON vcf USING btree (chr);


--
-- Name: vcf_pos_index; Type: INDEX; Schema: public; Owner: gideon; Tablespace: 
--

CREATE INDEX vcf_pos_index ON vcf USING btree (pos);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--

